- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyConfiguration/legacyGetMaximumAlertsGroupingConfiguration#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyConfiguration/legacyGetMaximumAlertsGroupingConfiguration#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyConfiguration/legacyGetMaximumAlertsGroupingConfiguration#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyConfiguration/legacyGetMaximumAlertsGroupingConfiguration#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyConfiguration/legacyGetMaximumAlertsGroupingConfiguration#body.LegacyGetMaximumAlertsGroupingConfigResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyConfiguration/legacyGetMaximumAlertsGroupingConfiguration#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyConfiguration/legacyGetMaximumAlertsGroupingConfiguration#body.aspect_1)

**Full name**: projects.locations.instances.legacyConfiguration.legacyGetMaximumAlertsGroupingConfiguration

Returns the system-wide maximum number of alerts that can be grouped into a single case. Use this method to retrieve the upper limit configured for the instance's automated case consolidation logic.

### HTTP request

`GET https://{endpoint}/v1alpha/{instance}/legacyConfiguration:legacyGetMaximumAlertsGroupingConfiguration`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The name of the parent resource, which is the SecOps instance to get the maximum alerts grouping configuration for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body must be empty.

### Response body

Request message for LegacyGetMaximumAlertsGroupingConfiguration.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": integer } ``` |

| Fields ||
|---|---|
| `payload` | `integer` Required. The resource name of the LegacyConfiguration to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/legacyConfiguration:legacyGetMaximumAlertsGroupingConfiguration |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyConfiguration.getMaximumAlertsGroupingConfiguration`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).